Subject: RE: issue 8

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 2 Oct 2002 12:04:43 -0400

Yakov,
 This section does the job well. I like it. You have my vote.

Ben

> -----Original Message-----
> From: Yakov Rekhter [mailto:[email-masked]]
> Sent: Wednesday, October 02, 2002 11:50 AM
> To: [email-masked]
> Subject: issue 8
> 
> 
> Folks,
> 
> I'd like to propose the following text for "BGP Timers" section:
> 
>    BGP employs five timers: ConnectRetry (see Section 8), Hold Time
>    (see Section 4.2), KeepAlive (see Section 8), 
> MinASOriginationInterval
>    (see Section 9.2.1.2), and MinRouteAdvertisementInterval (see
>    Section 9.2.1.1).
> 
>    The suggested value for the ConnectRetry timer is 120 seconds.
> 
>    The suggested value for the Hold Time is 90 seconds.
> 
>    The suggested value for the KeepAlive timer is 1/3 of the Hold
>    Time.
> 
>    The suggested value for the MinASOriginationInterval is 15
>    seconds.
> 
>    The suggested value for the MinRouteAdvertisementInterval is 30
>    seconds.
> 
>    An implementation of BGP MUST allow the Hold Time timer to be
>    configurable, and MAY allow the other timers to be configurable.
> 
>    To minimize the likelihood that the distribution of BGP messages
>    by a given BGP speaker will contain peaks, jitter should be
>    applied to the timers associated with MinASOriginationInterval,
>    Keepalive, MinRouteAdvertisementInterval, and ConnectRetry. A
>    given BGP speaker shall apply the same jitter to each of these
>    quantities regardless of the destinations to which the updates
>    are being sent; that is, jitter will not be applied on a "per
>    peer" basis.
> 
> Any objections ?
> 
> Yakov.
> 
>    The amount of jitter to be introduced shall be determined by
>    multiplying the base value of the appropriate timer by a random
>    factor which is uniformly distributed in the range from 0.75 to
>    1.0.
> 
>